libzypp: zyppng::HeaderValueMap::const_iterator Class Reference

libzypp 17.38.11

zyppng::HeaderValueMap::const_iterator Class Reference

`#include <zypp-media/ng/headervaluemap.h>`

## Public Types
using | iterator_category = std::forward_iterator_tag
using | value_type = std::pair<std::string, Value>
using | difference_type = std::ptrdiff_t
using | pointer = void
using | reference = const std::pair<const std::string&, const Value&>

## Public Member Functions
| const_iterator ()=default
| const_iterator (const ValueMap::const_iterator &val)
| const_iterator (const HeaderValueMap::const_iterator &other)
const std::string & | key () const
const Value & | value () const
reference | operator* () const
const_iterator & | operator++ ()
const_iterator | operator++ (int)
bool | operator== (const const_iterator &other) const
bool | operator!= (const const_iterator &other) const
const ValueMap::const_iterator & | base () const

## Private Attributes
ValueMap::const_iterator | _it

## Detailed Description

Definition at line 73 of file headervaluemap.h.

## Member Typedef Documentation

## ◆ iterator_category

using zyppng::HeaderValueMap::const_iterator::iterator_category = std::forward_iterator_tag

Definition at line 76 of file headervaluemap.h.

## ◆ value_type

using zyppng::HeaderValueMap::const_iterator::value_type = std::pair<std::string, Value>

Definition at line 77 of file headervaluemap.h.

## ◆ difference_type

using zyppng::HeaderValueMap::const_iterator::difference_type = std::ptrdiff_t

Definition at line 78 of file headervaluemap.h.

## ◆ pointer

using zyppng::HeaderValueMap::const_iterator::pointer = void

Definition at line 79 of file headervaluemap.h.

## ◆ reference

using zyppng::HeaderValueMap::const_iterator::reference = const std::pair<const std::string&, const Value&>

Definition at line 80 of file headervaluemap.h.

## Constructor & Destructor Documentation

## ◆ const_iterator() [1/3]

zyppng::HeaderValueMap::const_iterator::const_iterator | ( |  | ) |
| default

## ◆ const_iterator() [2/3]

zyppng::HeaderValueMap::const_iterator::const_iterator | ( | const ValueMap::const_iterator & | val | ) |
| inlineexplicit

Definition at line 88 of file headervaluemap.h.

## ◆ const_iterator() [3/3]

zyppng::HeaderValueMap::const_iterator::const_iterator | ( | const HeaderValueMap::const_iterator & | other | ) |
| inline

Definition at line 91 of file headervaluemap.h.

## Member Function Documentation

## ◆ key()

const std::string & zyppng::HeaderValueMap::const_iterator::key | ( |  | ) | const
| inline

Definition at line 94 of file headervaluemap.h.

## ◆ value()

const Value & zyppng::HeaderValueMap::const_iterator::value | ( |  | ) | const
| inline

Definition at line 98 of file headervaluemap.h.

## ◆ operator*()

reference zyppng::HeaderValueMap::const_iterator::operator* | ( |  | ) | const
| inline

Definition at line 106 of file headervaluemap.h.

## ◆ operator++() [1/2]

const_iterator & zyppng::HeaderValueMap::const_iterator::operator++ | ( |  | ) |
| inline

Definition at line 110 of file headervaluemap.h.

## ◆ operator++() [2/2]

const_iterator zyppng::HeaderValueMap::const_iterator::operator++ | ( | int |  | ) |
| inline

Definition at line 115 of file headervaluemap.h.

## ◆ operator==()

bool zyppng::HeaderValueMap::const_iterator::operator== | ( | const const_iterator & | other | ) | const
| inline

Definition at line 121 of file headervaluemap.h.

## ◆ operator!=()

bool zyppng::HeaderValueMap::const_iterator::operator!= | ( | const const_iterator & | other | ) | const
| inline

Definition at line 125 of file headervaluemap.h.

## ◆ base()

const ValueMap::const_iterator & zyppng::HeaderValueMap::const_iterator::base | ( |  | ) | const
| inline

Definition at line 129 of file headervaluemap.h.

## Member Data Documentation

## ◆ _it

ValueMap::const_iterator zyppng::HeaderValueMap::const_iterator::_it
| private

Definition at line 83 of file headervaluemap.h.

The documentation for this class was generated from the following file:

- zypp-media/ng/headervaluemap.h